Spree Admin SDK
Show a promotion
Required scope: read_promotions (for API-key authentication).
GET
Spree Admin SDK
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
const promotion = await client.promotions.get('promo_UkLWZg9DAJ')spree api get /promotions/{id}{
"id": "promo_UkLWZg9DAJ",
"name": "Summer Sale",
"description": null,
"code": "summer",
"starts_at": "2026-01-15T11:00:00.000Z",
"expires_at": null,
"usage_limit": null,
"match_policy": "all",
"path": null,
"kind": "coupon_code",
"multi_codes": false,
"number_of_codes": null,
"code_prefix": null,
"promotion_category_id": null,
"metadata": {},
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z",
"action_ids": [],
"rule_ids": []
}Required scope: read_promotions (for API-key authentication).
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
const promotion = await client.promotions.get('promo_UkLWZg9DAJ')spree api get /promotions/{id}{
"id": "promo_UkLWZg9DAJ",
"name": "Summer Sale",
"description": null,
"code": "summer",
"starts_at": "2026-01-15T11:00:00.000Z",
"expires_at": null,
"usage_limit": null,
"match_policy": "all",
"path": null,
"kind": "coupon_code",
"multi_codes": false,
"number_of_codes": null,
"code_prefix": null,
"promotion_category_id": null,
"metadata": {},
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z",
"action_ids": [],
"rule_ids": []
}Was this page helpful?
